scriptName format ["%1Scripts\Client\Functions\Client_CreateObjectMarkers.sqf",BIS_WFdPath];
//Last modified 2/7/9
//*****************************************************************************************
//Description: Create markers for list of positions/objects & return them.
//*****************************************************************************************
Private["_color","_count","_marker","_markers","_name","_objects","_position","_type"];

_objects = _this Select 0;
_name = _this Select 1;
_type = _this Select 2;
_color = _this Select 3;

if (_type != "Select") exitWith {};

_markers = [];
_count = 0;

{
	_position = _x;
	if (TypeName _x != "ARRAY") then {_position = Position _x};

	_marker = Format["%1%2",_name,_count];
	CreateMarkerLocal [_marker,_position];
	_marker SetMarkerTypeLocal _type;
	_marker SetMarkerColorLocal _color;

	_count = _count + 1;
	_markers = _markers + [_marker];
} ForEach _objects;

_markers

//*****************************************************************************************
//12/13/7 MM - Created file.
