//-----------------------------
//--- DIH_initial_client_markers.sqf by Dimitri_Harkov
//-----------------------------------
//--- called by DIH_init_radio.sqf
//--- creates friendly group markers on startup on all clients

private ["_lgm_name", "_lgm_ptr", "_lgm_txt", "_i", "_player_friendly_groups", "_player_friendly_gr_pos", "_player_friendly_gr_type", "_player_friendly_gr_time", "_player_friendly_gr_wp", "_player_friendly_gr_size", "_cur_list_pos", "_date", "_l_alpha", "_operator", "_operator_side","_operator_side_array"];

_operator = _this select 0;

//!!!TBD??? : does not work: waitUntil {((BIS_WF_CoreClientInitialized) OR (time > 2))};
sleep 0.5;

_operator_side = playerside;

//---------
//get proper Radio Array for local side
//---------

_operator_side_array = [];

call compile format["_operator_side_array = DIH_Radio_mainscope getVariable ""DIH_RADIO_fg_reports_%1""", _operator_side];

_player_friendly_groups = _operator_side_array select 1;
_player_friendly_gr_pos = _operator_side_array select 2;
_player_friendly_gr_type = _operator_side_array select 3;
_player_friendly_gr_time = _operator_side_array select 4;
_player_friendly_gr_wp = _operator_side_array select 5;
_player_friendly_gr_size = _operator_side_array select 6;


_date = [];
_cur_list_pos = 0;

//_local_client_markers = [];

_lgm_ptr="";
_lgm_name="";
_lgm_txt="";

//--- PART A - Markers for Players
//------------
//--- marker deletion and placement stuff - player only!
//--- tbd: also run this PART A for all other players in this group, that are in formation with the operator (or: 150m radius - don't  know how to check 'in formation' yet) - DONE


	for "_i" from 1 to DIH_RADIO_friend_count do
	{
		_lgm_name = format ["lgm_%1",str(_i)];
		_lgm_name_size = format ["lgm_size_%1",str(_i)];

		//_lgm_ptr = format ["lgm_ptr_%1",str(DIH_RADIO_friend_count)];

		deleteMarkerLocal _lgm_name;
		deleteMarkerLocal _lgm_name_size;

		//hint "!";
	};

	DIH_RADIO_friend_count = 0;

{
//WORKS!	if (!(_operator in units _x)) THEN
//Works better!	if ((group _operator != _x)) THEN
	if (!(isNull _x) and (group _operator != _x)) THEN
	{
		//--- Quit forEach if current operator is HC commander. !!!TBD: what if hcallgroups is not defined?
		//!!!TBD??? seems to work even if HCallgroups is not initialized
		if ((count hcallgroups _operator) > 0) exitWith {};

		//--- store current index

		_cur_list_pos = ([_player_friendly_groups,_x] call BIS_fnc_arrayFindDeep) select 0;

		
		//--- Quit IF and store index for deletion if no more group members are left. This should prevent weird situations. This one is indeed not necessary...

		//if (isNull _x) exitWith {_markers_to_delete = _markers_to_delete + [_cur_list_pos]};


		DIH_RADIO_friend_count = DIH_RADIO_friend_count + 1;

		_date = ([_player_friendly_gr_time select _cur_list_pos]) select 0;
		

		//--- group type marker

		_lgm_ptr = format ["lgm_ptr_%1",str(DIH_RADIO_friend_count)];
		_lgm_name = format ["lgm_%1",str(DIH_RADIO_friend_count)];

		_lgm_txt = format ["%1 (%2)", str(_x), [_date,"HH:MM"] call BIS_fnc_timeToString];

		_lgm_ptr = createMarkerLocal[_lgm_name, _player_friendly_gr_pos select _cur_list_pos];
		_lgm_ptr setMarkerShapeLocal "ICON";
		_lgm_name setMarkerTypeLocal (DIH_RADIO_marker_NATO_side + (_player_friendly_gr_type select _cur_list_pos));
		_lgm_name setMarkerColorLocal "ColorBlue";
		_lgm_name setMarkerTextLocal _lgm_txt;



		//--- calculate alpha, store faded markers for deletion.

		_l_alpha = if (((daytime) - (_date)) < 0) THEN
			{(100 - ((24+(daytime - _date))/(DIH_RADIO_marker_expire_time / 100)))/100}
			ELSE
			{(100 - ((daytime - _date)/(DIH_RADIO_marker_expire_time / 100)))/100};



		_lgm_name setMarkerAlphaLocal _l_alpha;


		//--- group size marker

		if ((_player_friendly_gr_size select _cur_list_pos) >= 1) THEN
		{

		_lgm_ptr_size = format ["lgm_ptr_size_%1",str(DIH_RADIO_friend_count)];
		_lgm_name_size = format ["lgm_size_%1",str(DIH_RADIO_friend_count)];
		_lgm_ptr_size = createMarkerLocal[_lgm_name_size, _player_friendly_gr_pos select _cur_list_pos];
		_lgm_ptr_size setMarkerShapeLocal "ICON";
		_lgm_name_size setMarkerTypeLocal ("group_" + str(_player_friendly_gr_size select _cur_list_pos));
		_lgm_name_size setMarkerColorLocal "ColorBlue";

		_lgm_name_size setMarkerAlphaLocal _l_alpha;

		};
	};
} forEach _player_friendly_groups;

//hint "!";

true