scriptName format ["%1Scripts\Client\Functions\Client_PlayerRespawn.sqf",BIS_WFdPath];
//Last modified 11/26/9 - further modified by Dimitri_Harkov
//*****************************************************************************************
//Description: This is run when a player respawns.
//*****************************************************************************************
Private["_count","_teams"];

//player AddAction [Localize "STRWFSCORE",corePath + "Client\Client_ShowScore.sqs"];
//player AddAction [Localize "STRWFOPTIONS",corePath + "Client\Action\Action_OpenOptionsMenu.sqs"];

if (BIS_WF_Classic) then
{
	player AddAction [Localize "STRWFOPTIONS",corePath + "Client\Action\Action_OpenOptionsMenu.sqs",false,-500,false,false,"TeamSwitch"];
}
else
{
	player AddAction [localize "STR_Client_PlayerRespawn.sqf0",corePath + "Client\GUI\GUI_buyPrepareMenu.sqf", ['gear'], 100, false, true, "", "BIS_WF_BuyGearInRange"]; //"Buy weapons"
	player AddAction [localize "STR_Client_PlayerRespawn.sqf1",corePath + "Client\GUI\GUI_buyPrepareMenu.sqf", ['units'], 100, false, true, "", "BIS_WF_BuyUnitsInRange"]; //"Buy units"
	player AddAction [Localize "STR_COIN_ACTION",corePath + ("Client\Action\Action_OpenCoin.sqf"),BIS_WF_CoinManager,1,false,false,"","!IsNull BIS_WF_CoinVehicle"];
};

[player,BIS_WF_RespawnWeapons,BIS_WF_RespawnAmmo] Call EquipLoadout;

player RemoveAllEventHandlers "killed";

if (IsMultiplayer) then
{
	player AddEventHandler ["killed",{_this Spawn BIS_WF_ClientKilled}];

	if ((player getVariable "DIH_RADIO_present") == 1) THEN
	{
		player addEventHandler ["killed", {[_this select 0] spawn DIH_RADIO_RESPAWN}];
	};
};

[player,sideJoined] Call BIS_WF_InitUnit;

//Make sure player has basic equipment.
{
	if (!(_x In Weapons player)) then {player AddWeapon _x};
} ForEach ["ItemCompass","ItemMap","ItemRadio","ItemWatch","Binocular","NVGoggles"];

//These EHs are being removed after death...
[] Spawn
{
	Sleep 1;

	if (BIS_WF_CommanderEH1 != -1 || BIS_WF_CommanderEH2 != -1) then
	{
		BIS_WF_CommanderEH1 = ((FindDisplay 12) DisplayCtrl 51) CtrlAddEventHandler ["mouseButtonDown","['mouseButtonDown',_this] Call BIS_WF_MapClickEH;"];
		BIS_WF_CommanderEH2 = ((FindDisplay 12) DisplayCtrl 51) CtrlAddEventHandler ["mouseButtonUp","['mouseButtonUp',_this] Call BIS_WF_MapClickEH;"];
	};
};

//1/22/7 MM - Created file.
